## endlessh 1.1

=== Makefile ===
.POSIX:
CC      = cc
CFLAGS  = -std=c99 -Wall -Wextra -Wno-missing-field-initializers -Os
LDFLAGS = -ggdb3
LDLIBS  =
PREFIX  = /usr/local

all: endlessh

endlessh: endlessh.c
	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ endlessh.c $(LDLIBS)

install: endlessh
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 endlessh $(DESTDIR)$(PREFIX)/bin/
	install -d $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 644 endlessh.1 $(DESTDIR)$(PREFIX)/share/man/man1/

clean:
	rm -rf endlessh

=== debian/changelog ===
endlessh (1.1-5) unstable; urgency=medium

  [ Thierry B ]
  * d/endlessh.init: Background the server process.
    Closes: #972388

  [ nicoo ]
  * d/README: Explain socket activation and privileged ports
    Closes: #970512
  * Update nicoo's name
  * d/patches: Fixup DEP-3 metadata format

 -- nicoo <nicoo@debian.org>  Mon, 02 Nov 2020 14:13:46 +0100

endlessh (1.1-4) unstable; urgency=low

  * Replace Makefile patch with upstream's
  * debian/control: Set Rules-Requires-Root to 'no'
  * debian/tests: Add basic debci test

 -- nicoo <nicoo@debian.org>  Tue, 31 Mar 2020 19:38:12 +0200

endlessh (1.1-3) unstable; urgency=medium

  [ nicoo ]
  * CI: Remove the configuration file.
    Instead, we use 'salsa-ci.yml@nicoo/conventions' as the config path.

  [ Helmut Grohne ]
  * debian/rules: Let dh_auto_make pass cross-compilation tools to make
    Closes: #950526

 -- nicoo <nicoo@debian.org>  Thu, 05 Mar 2020 03:34:00 +0100

endlessh (1.1-2) unstable; urgency=medium

  * debian/patches:
    + Fix fuzz in 0001-Fix-binary-path-in-endlessh.service
    + Patch Makefile to honour CPPFLAGS

  * debian/rules
    + Correctly use recursive make
    + Honour buildflags (incl. hardening)
      Removed corresponding Lintian override

  * Add CI using salsa-ci-team's pipeline
  * Update authorship metadata

 -- nicoo <nicoo@debian.org>  Sun, 16 Feb 2020 12:56:39 +0100

endlessh (1.1-1) unstable; urgency=medium

  * New upstream version 1.1
    + Drop obsolete patches

  * debian/control
    + Fixup the Section (net, not devel...)
    + Link to the packaging repository on Salsa

  * Add upstream's signing key
  * debian/watch: Use git mode, check signature on tags

  * Declare compliance with policy v4.5.0.
    No change required.
  * Lintian: Override false positive (hardening-no-fortify-functions)

 -- nicoo <nicoo@debian.org>  Sat, 01 Feb 2020 05:29:51 +0100

endlessh (1.0-1) unstable; urgency=medium

  * Initial release (Closes: #933846)

 -- nicoo <nicoo@debian.org>  Sun, 04 Aug 2019 23:33:35 +0200

=== debian/control ===
Source: endlessh
Section: net
Priority: optional
Maintainer: nicoo <nicoo@debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Homepage: https://github.com/skeeto/endlessh
Vcs-Browser: https://salsa.debian.org/debian/endlessh
Vcs-Git: https://salsa.debian.org/debian/endlessh.git
Rules-Requires-Root: no

Package: endlessh
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SSH tarpit that slowly sends an endless connection banner
 Endlessh is an SSH tarpit that very slowly sends an endless, random SSH banner.
 It keeps SSH clients locked up for hours or even days at a time. The purpose is
 to put your real SSH server on another port and then let abusive bots get stuck
 in this tarpit instead of bothering a real server.
 .
 Since the tarpit is in the banner before any cryptographic exchange occurs,
 this program doesn't depend on any cryptographic libraries. It's a simple,
 single-threaded, standalone C program. It uses poll() to trap multiple clients
 at a time.
 .
 See https://nullprogram.com/blog/2019/03/22/ for more details.

=== debian/tests/control ===
Tests: standalone
Depends: bash (>= 4), coreutils, endlessh
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="mode=git, pgpmode=gittag" \
  https://github.com/skeeto/endlessh.git refs/tags/(\d\S+)
